#!/bin/sh
#Create nsca service check file for Nagios
#Set PATH if necessary for cron job
PATH=$PATH:/nas/bin:/nas/sbin
export NAS_DB=/nas
cd /opt/nsca
./nsca_celerra.pl
./send_nsca -H srv-infotech.symyx.com < nsca_celerra.dat
#Catch unexpected command output
UNKN=`awk 'BEGIN {FS="\t";N=0;} NF==4&&$3=="3" {++N;} {next;} END {print N;}' nsca_celerra.log`
if [ $UNKN -gt 0 ]; then
   mail -s "Celerra command problem" itmanager@symyx.com < nsca_celerra.log
fi
